import request from '@/utils/request'

// 查询福禄商品列表
export function listInfo(query) {
  return request({
    url: '/pc/fulu/list',
    method: 'get',
    params: query
  })
}

// 查询福禄商品详细
export function getInfo(id) {
  return request({
    url: '/pc/fulu/' + id,
    method: 'get'
  })
}

// 新增福禄商品
export function addInfo(data) {
  return request({
    url: '/pc/fulu',
    method: 'post',
    data: data
  })
}

// 修改福禄商品
export function updateInfo(data) {
  return request({
    url: '/pc/fulu',
    method: 'put',
    data: data
  })
}

// 删除福禄商品
export function delInfo(id) {
  return request({
    url: '/pc/fulu/' + id,
    method: 'delete'
  })
}

// 导出福禄商品
export function exportInfo(query) {
  return request({
    url: '/pc/fulu/export',
    method: 'get',
    params: query
  })
}